.pinta. removed.

Forum Forums General Software .pinta. removed.

This topic contains 7 replies, has 3 voices, and was last updated by ile Dec 26-6:29 pm.

Viewing 8 posts - 1 through 8 (of 8 total)
  • Author
    Posts
  • #14020
    Member
    ile
    ile

    hello everyone

    install to hdd of antiX17.2HelenKeller_64full/ sid

    install of desired packages two days ago included the package pinta. it installed by synaptic. two days later, today, when with synaptic installing normal upgrades, pinta is on the to be removed list. followed through with allowing it to remove pinta. pinta is in the package installer list. it seems approved.
    Can pinta be safely installed on this system?

    (aside,, lm-sensors was another on the remove list. lm-sensors is removed.)

    Did not even open the pinta program before it got removed. its operation was unchallenged.

    #14022
    Forum Admin
    rokytnji
    rokytnji

    I am on my MX 16 desktop in my shop at the present moment.

    harry@shop1:~
    $ apt-cache policy pinta
    pinta:
      Installed: (none)
      Candidate: 1.6-2mx150+1
      Version table:
         1.6-2mx150+1 0
            500 http://iso.mxrepo.com/mx/repo/ mx15/main amd64 Packages
         1.3-3 0
            500 http://ftp.us.debian.org/debian/ jessie/main amd64 Packages
    harry@shop1:~
    $ apt-get -s install pinta
    NOTE: This is only a simulation!
          apt-get needs root privileges for real execution.
          Keep also in mind that locking is deactivated,
          so don't depend on the relevance to the real current situation!
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following extra packages will be installed:
      cli-common libgdiplus libglib2.0-cil libgtk2.0-cil libmono-addins-gui0.2-cil
      libmono-addins0.2-cil libmono-cairo4.0-cil libmono-corlib4.5-cil libmono-posix4.0-cil
      libmono-security4.0-cil libmono-sharpzip4.84-cil libmono-system-configuration4.0-cil
      libmono-system-core4.0-cil libmono-system-drawing4.0-cil libmono-system-security4.0-cil
      libmono-system-xml4.0-cil libmono-system4.0-cil mono-4.0-gac mono-gac mono-runtime
      mono-runtime-common mono-runtime-sgen
    Suggested packages:
      monodoc-gtk2.0-manual libmono-i18n4.0-all libgamin0
    Recommended packages:
      libmono-i18n-west4.0-cil binfmt-support
    The following NEW packages will be installed:
      cli-common libgdiplus libglib2.0-cil libgtk2.0-cil libmono-addins-gui0.2-cil
      libmono-addins0.2-cil libmono-cairo4.0-cil libmono-corlib4.5-cil libmono-posix4.0-cil
      libmono-security4.0-cil libmono-sharpzip4.84-cil libmono-system-configuration4.0-cil
      libmono-system-core4.0-cil libmono-system-drawing4.0-cil libmono-system-security4.0-cil
      libmono-system-xml4.0-cil libmono-system4.0-cil mono-4.0-gac mono-gac mono-runtime
      mono-runtime-common mono-runtime-sgen pinta
    0 upgraded, 23 newly installed, 0 to remove and 32 not upgraded.
    Inst cli-common (0.9+nmu1 Debian:8.11/oldstable [all])
    Inst libgdiplus (3.6-1+b2 Debian:8.11/oldstable [amd64])
    Inst libmono-system-xml4.0-cil (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all]) []
    Inst libmono-system-security4.0-cil (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all]) []
    Inst libmono-system-configuration4.0-cil (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all]) []
    Inst libmono-system4.0-cil (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all]) []
    Inst libmono-security4.0-cil (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all]) []
    Inst mono-4.0-gac (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all]) []
    Inst mono-gac (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all]) []
    Inst mono-runtime-common (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [amd64]) []
    Inst mono-runtime-sgen (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [amd64]) []
    Inst mono-runtime (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [amd64]) []
    Inst libmono-corlib4.5-cil (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all])
    Inst libglib2.0-cil (2.12.10-5.1 Debian:8.11/oldstable [amd64])
    Inst libmono-cairo4.0-cil (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all])
    Inst libmono-system-drawing4.0-cil (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all])
    Inst libgtk2.0-cil (2.12.10-5.1 Debian:8.11/oldstable [amd64])
    Inst libmono-sharpzip4.84-cil (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all])
    Inst libmono-posix4.0-cil (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all])
    Inst libmono-system-core4.0-cil (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all])
    Inst libmono-addins0.2-cil (1.0+git20130406.adcd75b-3 Debian:8.11/oldstable [all])
    Inst libmono-addins-gui0.2-cil (1.0+git20130406.adcd75b-3 Debian:8.11/oldstable [all])
    Inst pinta (1.6-2mx150+1 MX repository:15.0/mx [all])
    Conf cli-common (0.9+nmu1 Debian:8.11/oldstable [all])
    Conf libgdiplus (3.6-1+b2 Debian:8.11/oldstable [amd64])
    Conf libmono-system-xml4.0-cil (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all])
    Conf libmono-system-configuration4.0-cil (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all])
    Conf libmono-system4.0-cil (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all])
    Conf libmono-security4.0-cil (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all])
    Conf mono-4.0-gac (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all])
    Conf mono-gac (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all])
    Conf mono-runtime-common (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [amd64])
    Conf mono-runtime-sgen (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [amd64])
    Conf mono-runtime (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [amd64])
    Conf libmono-corlib4.5-cil (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all])
    Conf libmono-system-security4.0-cil (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all])
    Conf libglib2.0-cil (2.12.10-5.1 Debian:8.11/oldstable [amd64])
    Conf libmono-cairo4.0-cil (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all])
    Conf libmono-system-drawing4.0-cil (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all])
    Conf libgtk2.0-cil (2.12.10-5.1 Debian:8.11/oldstable [amd64])
    Conf libmono-sharpzip4.84-cil (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all])
    Conf libmono-posix4.0-cil (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all])
    Conf libmono-system-core4.0-cil (3.2.8+dfsg-10+deb8u1 Debian-Security:8/oldstable [all])
    Conf libmono-addins0.2-cil (1.0+git20130406.adcd75b-3 Debian:8.11/oldstable [all])
    Conf libmono-addins-gui0.2-cil (1.0+git20130406.adcd75b-3 Debian:8.11/oldstable [all])
    Conf pinta (1.6-2mx150+1 MX repository:15.0/mx [all])
    harry@shop1:~
    $ 
    

    That is how I would check with a simulated install procedure.

    Sometimes I drive a crooked road to get my mind straight.
    Not all who Wander are Lost.
    Linux Registered User # 475019
    How to Search for AntiX solutions to your problems

    #14023
    Member
    ile
    ile

    yes rokytnji
    it shows a lot of hand-holding with the other packages especially for the sid environment. it is why i asked here,, maybe some insight from devs about the future of all these dependencies or a particular one that may keep pinta off the roadmap. I can wait a few days and trial an installation of the pinta package. or someone might know now that pinta is dust because of an older dependency. Thank you for the demonstration rokytnji. will use that before next pinta install if no reason is found to bar the install.
    bit cold to be out in the shop. your shop must have a good heater. rained all day here in Blue.

    #14024
    Member

    delix02

    this is a general problem using the sid repos :
    occasionally the updates are NOT checked for their behavior on no-systemd installations.
    For example, it happens (as today for sid, several days ago for testing) that essential packages as consolekit get removed.
    One can NOT trust in the sid updates blindly – you MUST check the update lists before you start the update itself !!!

    So,use apt-get in a terminal instead synaptic, check the list of the apt-get dist-upgrade command and answer NO if you are not sure every is right there.

    Usually, these shortcomings get fixed one or two days later.

    For pinta look here :
    https://tracker.debian.org/pkg/pinta

    it has been removed at the moment from the testing repos (and probably now from the sid repos as well).
    That may change again or not……..

    • This reply was modified 1 month, 1 week ago by delix02.
    #14026
    Member
    ile
    ile

    hi delix02. you are right. and the usual is to wait it out for things to change. often it is just a day or two to return to a package to find all is ironed-out. I think I acted quickly , out of emotion, this time, because I like pinta.
    thanks.

    #14050
    Forum Admin
    rokytnji
    rokytnji

    bit cold to be out in the shop. your shop must have a good heater. rained all day here in Blue.

    No heater. Was cold in da shop. But. I got 5 rescue mutt dogs that keep me warm while in my chair in the shop computer area.
    Little ones in my lap. Big ones laying on my feet. Plus. I had hot tea brewing on da camping stove in da shop.
    Figure I could go off topic since this looks as solved. I think I’ll mark this as solved later if pinta works out later on for you sid users.

    But in the meantime. How about humoring me with posting terminal readout in this thread a

    inxi -v8

    To add more meat to the bone in this thread.

    Sometimes I drive a crooked road to get my mind straight.
    Not all who Wander are Lost.
    Linux Registered User # 475019
    How to Search for AntiX solutions to your problems

    #14071
    Member
    ile
    ile

    hello. here three big dogs and coffee. the little dogs don’t count.
    putting install some of the dependencies for pinta. re instaLL some stuff. will install pinta package after a delay. this will not be the mx15 version from your 15 repo. just when i think there is too many inxi posts by me,, rokytnji, you ask another of something inxi.

    
    System:
      Host: onto2hk Kernel: 4.9.126-antix.1-amd64-smp x86_64 bits: 64 compiler: gcc 
      v: 8.2.0 Desktop: Fluxbox 1.3.5 dm: SLiM 1.3.4 
      Distro: antiX-17.2_x64-full Helen Keller 4 October 2018 
      base: Debian GNU/Linux buster/sid 
    Machine:
      Type: Desktop Mobo: ASUSTeK model: P5L8L-SE v: Rev 1.xx serial: <root required> 
      BIOS: American Megatrends v: 0201 date: 10/09/2007 
    CPU:
      Topology: Single Core model: Intel Pentium 4 bits: 64 type: MT 
      arch: Netburst Presler rev: 5 L2 cache: 2048 KiB bogomips: 13607 
      Speed: 3400 MHz min/max: N/A Core speeds (MHz): 1: 3400 2: 3400 
      Flags: acpi apic bts cid clflush cmov constant_tsc cx16 cx8 de ds_cpl dtes64 dts est 
      fpu fxsr ht kaiser lahf_lm lm mca mce mmx monitor msr mtrr nopl nx pae pat pbe pdcm 
      pebs pge pni pse pse36 sep ss sse sse2 syscall tm tm2 tsc vme xtpr 
    Graphics:
      Device-1: Intel 82945G/GZ Integrated Graphics vendor: ASUSTeK driver: i915 v: kernel 
      bus ID: 00:02.0 chip ID: 8086:2772 
      Display: server: X.Org 1.20.3 driver: intel resolution: 1280x1024~60Hz 
      OpenGL: renderer: Mesa DRI Intel 945G v: 1.4 Mesa 18.2.6 direct render: Yes 
    Network:
      Device-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet vendor: ASUSTeK P5B 
      driver: r8169 v: 2.3LK-NAPI port: e800 bus ID: 02:00.0 chip ID: 10ec:8168 
      Device-2: Realtek RTL8191SU 802.11n WLAN Adapter type: USB driver: r8712u 
      bus ID: 1-3:2 chip ID: 0bda:8172 serial: 00e04c000001 
    Drives:
      Local Storage: total: 153.39 GiB used: 5.32 GiB (3.5%) 
    Repos:
      No active apt repos in: /etc/apt/sources.list 
      Active apt repos in: /etc/apt/sources.list.d/antix.list 
      1: deb http://repo.antixlinux.com/sid/ sid main nosystemd nonfree
      No active apt repos in: /etc/apt/sources.list.d/debian-stable-updates.list 
      Active apt repos in: /etc/apt/sources.list.d/debian.list 
      1: deb http://ftp.us.debian.org/debian/ unstable non-free contrib main
      No active apt repos in: /etc/apt/sources.list.d/onion.list 
      No active apt repos in: /etc/apt/sources.list.d/various.list 
    Weather:
      Temperature: 1 C (34 F) Conditions: Overcast 
      Wind: from NE at 3.6 m/s (13 km/h, 8 mph) Humidity: 52% Pressure: 1035 mb (30.56 in) 
      Wind Chill: 27 F (-3 C) Dew Point: -8 C (18 F) Location: 20510 
      altitude: 32 m (105 ft) Current Time: Sun 09 Dec 2018 01:30:27 AM EST 
      Observation Time: December 9, 12:52 AM EST 
    Info:
      Processes: 154 Uptime: 32m Memory: 1.95 GiB used: 287.3 MiB (14.4%) Init: SysVinit 
      v: N/A runlevel: 5 default: 5 Compilers: gcc: 8.2.0 alt: 6/8 Shell: bash v: 4.4.23 
      running in: lxterminal inxi: 3.0.25 
    
    #14635
    Member
    ile
    ile

    rokytnji . hope you get a bypass on sick. get well .
    machine here has installed many of the packages that were removed during that upgrade in question. too installed pinta now.
    pinta operation normal.

Viewing 8 posts - 1 through 8 (of 8 total)

You must be logged in to reply to this topic.